package fitconnect.api.auth;

import java.util.Optional;

public interface OAuthService {

    /**
     * Authenticates the sender against the FIT-Co API and retrieves an authentication token
     *
     * @param clientId - a unique identifier within the FIT-Co platform environment
     * @param clientSecret - a secret that is only known by the application and the OAuth server
     * @param scope - OAuth scope(s) that determines if a submission is accepted by the client
     * @return {@link OAuthToken} that holds the access-token
     */
    Optional<OAuthToken> authenticate(String clientId, String clientSecret, String... scope);
}
