package fitconnect.api.domain.metadata;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "contentStructure",
        "publicServiceType",
        "authenticationInformation",
        "paymentInformation",
        "replyChannel",
        "additionalReferenceInfo"
})
public record Metadata(
        @JsonProperty("contentStructure")
        ContentStructure contentStructure,

        @JsonProperty("publicServiceType")
        PublicServiceType publicServiceType,

        @JsonProperty("authenticationInformation")
        List<AuthenticationInformation> authenticationInformation,

        @JsonProperty("paymentInformation")
        PaymentInformation paymentInformation,

        @JsonProperty("replyChannel")
        ReplyChannel replyChannel,

        @JsonProperty("additionalReferenceInfo")
        AdditionalReferenceInfo additionalReferenceInfo,

        @JsonIgnore
        Map<String, Object> additionalProperties
) { }

