package fitconnect.api.domain.metadata.attachment.signature;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.Map;


/**
 * Hashwert
 * <p>
 * Der Hashwert der unverschlüsselten Anlage.
 * Die Angabe des Hashwertes dient der Integritätssicherung des Gesamtantrags und schützt vor einem Austausch der Anlage durch Systeme zwischen Sender und Subscriber (z.B. dem Zustelldienst).
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "type",
        "content"
})
public record Hash__1(

        @JsonProperty("type")
        Type type,

        @JsonProperty("content")
        String content,

        @JsonIgnore
        Map<String, Object> additionalProperties
) { }

