package fitconnect.api.domain.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.Map;

/**
 * Definiert das Schema und die Signatur(-art), die für die Fachdaten verwendet werden.
 *
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "signature",
        "hash",
        "submissionSchema"
})
public record Data(

        @JsonProperty("signature")
        Signature signature,

        @JsonProperty("hash")
        Hash hash,

        @JsonProperty("submissionSchema")
        SubmissionSchema submissionSchema,

        @JsonIgnore
        Map<String, Object> additionalProperties
) { }

