package fitconnect.api.domain.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.net.URI;
import java.util.Map;


/**
 * Fachdatenschema
 * <p>
 * Referenz auf ein Schema, das die Struktur der Fachdaten einer Einreichung beschreibt.
 *
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "schemaUri",
        "mimeType"
})
public record SubmissionSchema(

        @JsonProperty("schemaUri")
        URI schemaUri,

        @JsonProperty("mimeType")
        MimeType mimeType,

        @JsonIgnore
        Map<String, Object> additionalProperties
) { }
