package fitconnect.api.metadata;

import com.nimbusds.jose.jwk.RSAKey;
import fitconnect.api.domain.metadata.Metadata;
import fitconnect.api.domain.metadata.attachment.Attachment;
import fitconnect.api.domain.metadata.data.Data;

import java.util.List;

/**
 * Provides the generation of correct and valid {@link Metadata} for a submission
 */
public interface MetadataService {

    /**
     *
     * @param data the actual data payload (json or xml)
     * @param attachments list of 0..n attachments as binary data
     * @param publicKey the publicKey the data and attachments are encrypted with
     * @return Metadata with hashes of the data and attachments to send
     */
    Metadata createMetadata(final Data data, final List<Attachment> attachments, final RSAKey publicKey);
}
